%global mypaint_data_version 1.0

Summary: Brushes to be used with the MyPaint library
Name: mypaint-brushes
Version: 1.3.1
Release: 5%{?dist}
License: CC0
URL: https://github.com/mypaint/mypaint-brushes
Source0: https://github.com/mypaint/mypaint-brushes/releases/download/v%{version}/mypaint-brushes-%{version}.tar.xz

BuildRequires: make

BuildArch: noarch

%description
This package provides brush files for use with MyPaint and other programs.

%package devel
Summary: Files for developing with mypaint-brushes
Requires: pkgconfig
License: GPLv2+

%description devel
This package provides a pkgconfig file which makes it easier to develop programs using these 
brush files.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS NEWS README
%dir %{_datadir}/mypaint-data
%dir %{_datadir}/mypaint-data/%{mypaint_data_version}
%{_datadir}/mypaint-data/%{mypaint_data_version}/brushes

%files devel
%license COPYING
%{_datadir}/pkgconfig/mypaint-brushes-%{mypaint_data_version}.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 28 2022 Wang Guodong <gordonwwang@tencent.com> - 1.3.1-1
- package init.
